<?php
/**
* @version	$Id: forms_tp.php 13390 2010-04-24 20:12:04Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class FormsTagProcessor extends kDBTagProcessor{

		function CheckBox($params)
		{
			$field = $this->SelectParam($params, 'name,field');
			$object =& $this->Application->recallObject($this->getPrefixSpecial(),$this->Prefix, $params);

			$value = $object->GetDBField($field);

			if ($value) return 'checked';
			if (is_null($value)) return $params['default'];

			return '';
		}

		function MaxUploadSize($params)
		{
			return round(MAX_UPLOAD_SIZE/1024/1024).' Mb';
		}
	}